package de.renew.io.importFormats;


import de.renew.draw.storables.ontology.Drawing;
import de.renew.ioontology.importing.ImportFormatMultiAbstract;

/**
 * Implementation of ImportFormatMulti for XML files (PNML)
 */
public class XMLImportFormat extends ImportFormatMultiAbstract<Drawing> {
    // Attributes
    // Constructor

    /**
     * Checks whether imported XML files are formatted correctly.
     */
    public XMLImportFormat() {
        super("XML", "XML FileFilter");
        init();
    }

    // Methods


    /**
     * Initiation for XMLImportFormat
     */
    protected void init() {
        PNMLImportFormat pnml = new PNMLImportFormat();
        addImportFormat(pnml);
    }
}